<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.0 Transitional//EN">
<html><head><meta http-equiv="Content-Type" content="text/html;charset=iso-8859-1">
<title>celtool/initapp.h Source File (CEL: Crystal Entity Layer 2.0 Public API Reference)</title>
<link href="tabs.css" rel="stylesheet" type="text/css">
<link href="doxygen.css" rel="stylesheet" type="text/css">
</head><body>
<table border="0" cellpadding="0" cellspacing="0" width="100%" class="head">
 <tr height="59">
  <td class="head" width="202" valign="bottom" style="padding-left:0;"><a href="http://cel.crystalspace3d.org/"><img src="celblur.png" width="210" height="59" alt="CEL" border="0"></a></td>
  <td class="head"><h2>Public API Reference</h2></td>
 </tr>
 <tr height="11">
  <td colspan="2" class="headshadow" valign="top" style="padding-left:0;"><img src="celshadow.png" width="9" height="11" alt="" border="0"></td>
 </tr>
</table>
<div class="content">
<!-- Generated by Doxygen 1.7.6.1 -->
  <div id="navrow1" class="tabs">
    <ul class="tablist">
      <li><a href="index.html"><span>Main&#160;Page</span></a></li>
      <li><a href="pages.html"><span>Related&#160;Pages</span></a></li>
      <li><a href="annotated.html"><span>Classes</span></a></li>
      <li class="current"><a href="files.html"><span>Files</span></a></li>
    </ul>
  </div>
  <div id="navrow2" class="tabs2">
    <ul class="tablist">
      <li><a href="files.html"><span>File&#160;List</span></a></li>
      <li><a href="globals.html"><span>File&#160;Members</span></a></li>
    </ul>
  </div>
</div>
<div class="header">
  <div class="headertitle">
<div class="title">celtool/initapp.h</div>  </div>
</div><!--header-->
<div class="contents">
<div class="fragment"><pre class="fragment"><a name="l00001"></a>00001 <span class="comment">/*</span>
<a name="l00002"></a>00002 <span class="comment">    Copyright (C) 2004 by Eric Sunshine</span>
<a name="l00003"></a>00003 <span class="comment"></span>
<a name="l00004"></a>00004 <span class="comment">    This library is free software; you can redistribute it and/or</span>
<a name="l00005"></a>00005 <span class="comment">    modify it under the terms of the GNU Library General Public</span>
<a name="l00006"></a>00006 <span class="comment">    License as published by the Free Software Foundation; either</span>
<a name="l00007"></a>00007 <span class="comment">    version 2 of the License, or (at your option) any later version.</span>
<a name="l00008"></a>00008 <span class="comment"></span>
<a name="l00009"></a>00009 <span class="comment">    This library is distributed in the hope that it will be useful,</span>
<a name="l00010"></a>00010 <span class="comment">    but WITHOUT ANY WARRANTY; without even the implied warranty of</span>
<a name="l00011"></a>00011 <span class="comment">    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU</span>
<a name="l00012"></a>00012 <span class="comment">    Library General Public License for more details.</span>
<a name="l00013"></a>00013 <span class="comment"></span>
<a name="l00014"></a>00014 <span class="comment">    You should have received a copy of the GNU Library General Public</span>
<a name="l00015"></a>00015 <span class="comment">    License along with this library; if not, write to the Free</span>
<a name="l00016"></a>00016 <span class="comment">    Software Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.</span>
<a name="l00017"></a>00017 <span class="comment">*/</span>
<a name="l00018"></a>00018 
<a name="l00019"></a>00019 <span class="preprocessor">#ifndef __CELTOOL_INITAPP_H__</span>
<a name="l00020"></a>00020 <span class="preprocessor"></span><span class="preprocessor">#define __CELTOOL_INITAPP_H__</span>
<a name="l00021"></a>00021 <span class="preprocessor"></span>
<a name="l00022"></a>00022 <span class="preprocessor">#include &lt;<a class="codeRef" doxygen="crystalspace.tag:http://www.crystalspace3d.org/docs/online/api/" href="http://www.crystalspace3d.org/docs/online/api/cssysdef_8h.html">cssysdef.h</a>&gt;</span>
<a name="l00023"></a>00023 <span class="preprocessor">#include &lt;<a class="codeRef" doxygen="crystalspace.tag:http://www.crystalspace3d.org/docs/online/api/" href="http://www.crystalspace3d.org/docs/online/api/initapp_8h.html">cstool/initapp.h</a>&gt;</span>
<a name="l00024"></a>00024 
<a name="l00025"></a>00025 <span class="preprocessor">#ifndef CEL_DETECTED_PLUGIN_DIR</span>
<a name="l00026"></a>00026 <span class="preprocessor"></span><span class="preprocessor">#  ifdef CEL_PLUGIN_DIR</span>
<a name="l00027"></a>00027 <span class="preprocessor"></span><span class="preprocessor">#    define CEL_DETECTED_PLUGIN_DIR CEL_PLUGIN_DIR</span>
<a name="l00028"></a>00028 <span class="preprocessor"></span><span class="preprocessor">#  else</span>
<a name="l00029"></a>00029 <span class="preprocessor"></span><span class="preprocessor">#    define CEL_DETECTED_PLUGIN_DIR ((char const*)0)</span>
<a name="l00030"></a>00030 <span class="preprocessor"></span><span class="preprocessor">#  endif</span>
<a name="l00031"></a>00031 <span class="preprocessor"></span><span class="preprocessor">#endif</span>
<a name="l00032"></a>00032 <span class="preprocessor"></span>
<a name="l00033"></a>00033 <span class="preprocessor">#include &quot;celtool/celtoolextern.h&quot;</span>
<a name="l00034"></a>00034 
<a name="l00041"></a><a class="code" href="classcelInitializer.html">00041</a> <span class="keyword">class </span>CEL_CELTOOL_EXPORT <a class="code" href="classcelInitializer.html" title="This class contains static member functions which can help set up an application to use the Crystal E...">celInitializer</a> : <span class="keyword">public</span> <a class="codeRef" doxygen="crystalspace.tag:http://www.crystalspace3d.org/docs/online/api/" href="http://www.crystalspace3d.org/docs/online/api/classcsInitializer.html">csInitializer</a>
<a name="l00042"></a>00042 {
<a name="l00043"></a>00043 <span class="keyword">private</span>:
<a name="l00044"></a>00044   <span class="keyword">typedef</span> <a class="codeRef" doxygen="crystalspace.tag:http://www.crystalspace3d.org/docs/online/api/" href="http://www.crystalspace3d.org/docs/online/api/classcsInitializer.html">csInitializer</a> <a class="codeRef" doxygen="crystalspace.tag:http://www.crystalspace3d.org/docs/online/api/" href="http://www.crystalspace3d.org/docs/online/api/classcsInitializer.html">superclass</a>;
<a name="l00045"></a>00045   <span class="keyword">static</span> <span class="keywordtype">bool</span> LoadCelVFS(<a class="codeRef" doxygen="crystalspace.tag:http://www.crystalspace3d.org/docs/online/api/" href="http://www.crystalspace3d.org/docs/online/api/structiObjectRegistry.html">iObjectRegistry</a>* r);
<a name="l00046"></a>00046   <span class="keyword">static</span> <span class="keywordtype">bool</span> LoadMountsFromFile(<a class="codeRef" doxygen="crystalspace.tag:http://www.crystalspace3d.org/docs/online/api/" href="http://www.crystalspace3d.org/docs/online/api/structiObjectRegistry.html">iObjectRegistry</a>* r, <span class="keywordtype">char</span> <span class="keyword">const</span>* configPath);
<a name="l00047"></a>00047 <span class="keyword">protected</span>:
<a name="l00048"></a>00048   <span class="keyword">static</span> <span class="keywordtype">void</span> setup_plugin_dirs(<a class="codeRef" doxygen="crystalspace.tag:http://www.crystalspace3d.org/docs/online/api/" href="http://www.crystalspace3d.org/docs/online/api/structiObjectRegistry.html">iObjectRegistry</a>*, <span class="keywordtype">char</span> <span class="keyword">const</span>* detected_dir);
<a name="l00049"></a>00049 
<a name="l00050"></a>00050 <span class="keyword">public</span>:
<a name="l00074"></a><a class="code" href="classcelInitializer.html#afac6b242b5155031da6b342b09c93b7f">00074</a>   <span class="keyword">static</span> <span class="keywordtype">void</span> SetupCelPluginDirs(<a class="codeRef" doxygen="crystalspace.tag:http://www.crystalspace3d.org/docs/online/api/" href="http://www.crystalspace3d.org/docs/online/api/structiObjectRegistry.html">iObjectRegistry</a>* r)
<a name="l00075"></a>00075   { setup_plugin_dirs(r, CEL_DETECTED_PLUGIN_DIR); }
<a name="l00076"></a>00076 
<a name="l00088"></a>00088   <span class="keyword">static</span> <span class="keywordtype">bool</span> <a class="codeRef" doxygen="crystalspace.tag:http://www.crystalspace3d.org/docs/online/api/" href="http://www.crystalspace3d.org/docs/online/api/classcsInitializer.html#aac312400175a74917984bc78038a234b">RequestPlugins</a>(<a class="codeRef" doxygen="crystalspace.tag:http://www.crystalspace3d.org/docs/online/api/" href="http://www.crystalspace3d.org/docs/online/api/structiObjectRegistry.html">iObjectRegistry</a>*, ...);
<a name="l00089"></a>00089 
<a name="l00095"></a>00095   <span class="keyword">static</span> <span class="keywordtype">bool</span> <a class="codeRef" doxygen="crystalspace.tag:http://www.crystalspace3d.org/docs/online/api/" href="http://www.crystalspace3d.org/docs/online/api/classcsInitializer.html#ae64ac4d29aaa8d244439161798ebfc25">RequestPluginsV</a> (<a class="codeRef" doxygen="crystalspace.tag:http://www.crystalspace3d.org/docs/online/api/" href="http://www.crystalspace3d.org/docs/online/api/structiObjectRegistry.html">iObjectRegistry</a>*, va_list);
<a name="l00096"></a>00096 
<a name="l00117"></a>00117   <span class="keyword">static</span> <span class="keywordtype">bool</span> <a class="codeRef" doxygen="crystalspace.tag:http://www.crystalspace3d.org/docs/online/api/" href="http://www.crystalspace3d.org/docs/online/api/classcsInitializer.html#aac312400175a74917984bc78038a234b">RequestPlugins</a>(<a class="codeRef" doxygen="crystalspace.tag:http://www.crystalspace3d.org/docs/online/api/" href="http://www.crystalspace3d.org/docs/online/api/structiObjectRegistry.html">iObjectRegistry</a>*,<a class="codeRef" doxygen="crystalspace.tag:http://www.crystalspace3d.org/docs/online/api/" href="http://www.crystalspace3d.org/docs/online/api/classcsArray.html">csArray&lt;csPluginRequest&gt;</a> <span class="keyword">const</span>&amp;);
<a name="l00118"></a>00118   
<a name="l00123"></a>00123   <span class="keyword">static</span> <a class="codeRef" doxygen="crystalspace.tag:http://www.crystalspace3d.org/docs/online/api/" href="http://www.crystalspace3d.org/docs/online/api/structiVFS.html">iVFS</a>* <a class="codeRef" doxygen="crystalspace.tag:http://www.crystalspace3d.org/docs/online/api/" href="http://www.crystalspace3d.org/docs/online/api/classcsInitializer.html#a3d2354f35277cccf3da3714a291cd2f4">SetupVFS</a>(<a class="codeRef" doxygen="crystalspace.tag:http://www.crystalspace3d.org/docs/online/api/" href="http://www.crystalspace3d.org/docs/online/api/structiObjectRegistry.html">iObjectRegistry</a>* objectReg,
<a name="l00124"></a>00124                         <span class="keyword">const</span> <span class="keywordtype">char</span>* pluginID = <span class="stringliteral">&quot;crystalspace.kernel.vfs&quot;</span>);
<a name="l00125"></a>00125 
<a name="l00130"></a>00130   <span class="keyword">static</span> <span class="keywordtype">bool</span> <a class="codeRef" doxygen="crystalspace.tag:http://www.crystalspace3d.org/docs/online/api/" href="http://www.crystalspace3d.org/docs/online/api/classcsInitializer.html#ada15289ee6d9e60d10291026ec73f84c">SetupConfigManager</a> (<a class="codeRef" doxygen="crystalspace.tag:http://www.crystalspace3d.org/docs/online/api/" href="http://www.crystalspace3d.org/docs/online/api/structiObjectRegistry.html">iObjectRegistry</a>* r, <span class="keywordtype">char</span> <span class="keyword">const</span>* configName, 
<a name="l00131"></a>00131                                   <span class="keywordtype">char</span> <span class="keyword">const</span>* AppID = 0);
<a name="l00132"></a>00132 
<a name="l00133"></a>00133 };
<a name="l00134"></a>00134 
<a name="l00135"></a>00135 <span class="preprocessor">#endif // __CELTOOL_INITAPP_H__</span>
</pre></div></div><!-- contents -->
<hr size="1"><address><small>Generated for CEL: Crystal Entity Layer 2.0 by 
<a href="http://www.doxygen.org/index.html">doxygen</a> 1.7.6.1 
</small></address> </div></body> </html>
